Subject: Re: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Juri Linkov <[email-masked]>
Date: Sun, 30 Jun 2019 23:53:43 +0300

>>> So we could have a new command anyway (with a different name than
>>> the already added function vc-root-dir that returns the root directory),
>>> even if unbound, so users can decide wherever they prefer to bind it.
>>
>> Yup, that would be fine by me.
>
> I don't see any reason not to bind this new command to a key: It seems
> like a genuinely useful command that most people (if they knows it
> exists) will want to use.  I can well imagine more people wanting that
> command than they want the `C-x v d' one.
>
> But I also think that many people will want both, so the solution seems
> to me to just bind this new command to a new keystroke, and leave the
> rest alone.

C-x v / is so nicely mnemonic keybinding that it even makes sense
to use it as a key prefix to the whole set of root-related commands, e.g.:

C-x v / =   vc-root-diff (mnemonic: '/' root, '=' diff)
C-x v / l   vc-print-root-log (mnemonic: '/' root, 'l' log)
C-x v / d   vc-root-dir (mnemonic: '/' root, 'd' dir)
...

Hmm, btw, why the extra prefix 'print-'?  Why not simply 'vc-root-log'?